Subject: bug#10178: 24.0.92; emacs -q frame too short for fancy splash image

From: Jan Djärv <[email-masked]>
Date: Sun, 4 Dec 2011 14:42:56 +0100

1 dec 2011 kl. 09:45 skrev Stephen Berman:

> Starting with -q does not show the fancy splash image; `M-:
> (window-height)' returns 34.  If I start with -q -geometry 80x36 `M-:
> (window-height)' returns 35 and the fancy splash image appears (though
> with this height the last line of the splash screen is partially
> truncated).  I think I started seeing this behavior during the last
> pretest (24.0.91), but it might have been earlier.
> 

I see in startup.el:

(defun use-fancy-splash-screens-p ()
  "Return t if fancy splash screens should be used."
  (when (and (display-graphic-p)
             (or (and (display-color-p)
                 (image-type-available-p 'xpm))
                 (image-type-available-p 'pbm)))
    (let ((frame (fancy-splash-frame)))
      (when frame
        (let* ((img (create-image (or fancy-splash-image
                                      (if (and (display-color-p)
                                               (image-type-available-p 'xpm))
                                          "splash.xpm" "splash.pbm"))))
               (image-height (and img (cdr (image-size img nil frame))))
               ;; We test frame-height so that, if the frame is split
               ;; by displaying a warning, that doesn't cause the normal
               ;; splash screen to be used.
               (frame-height (1- (frame-height frame))))
          (> frame-height (+ image-height 19)))))))

On my system, image-height becomes 14.466666666666667, so frame-height must be larger than 33.4666....
34 should fit.  Is image-size something else on your system?

	Jan D.